%define snapshot 0
%define date 20130523

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2

%define rel 1
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtdoc-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtdoc-everywhere-src-%{qtversion}
%endif

Name: qtdoc5
Version: 5.11.2
Release: %mkrel 1
Summary: Qt5 Documentation
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: qttools5-assistant
BuildRequires: qttools5
 
BuildArch: noarch

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Documentation.

%files
# Need to be splitted ?
%doc %{_qt5_docdir}/qtdoc.qch
%doc %{_qt5_docdir}/qtdoc/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdoc-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build docs

%install
%make_install install_docs INSTALL_ROOT=%{buildroot}


%changelog
* Thu Oct 11 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
